diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ConnectorEditor.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ConnectorEditor.java
index b6b831d0589bddca5b7914d5c60f33ee50fd0acc..6f711eca9449c67450d95b90a046927370b01f76 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ConnectorEditor.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ConnectorEditor.java
@@ -19,16 +19,13 @@ package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.ug.*;
-import com.netscape.admin.certsrv.config.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -111,18 +108,17 @@ public class ConnectorEditor extends JDialog implements ActionListener, MouseLis
         if (response != null) {
             String[] vals = new String[response.size()];
             int i=0;
-            for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-                String entry = ((String)e.nextElement()).trim();
-                vals[i++] = entry;
+            for (String entry : response.keySet()) {
+                vals[i++] = entry.trim();
             }
 
             int sindex = 0;
             String snickname = "";
-            CMSAdminUtil.quickSort(vals, 0, response.size()-1);
+            CMSAdminUtil.quickSort(vals, 0, response.size() - 1);
             for (i=0; i<vals.length; i++) {
                 Vector v = new Vector();
                 String entry = vals[i];
-                String value = response.getValue(entry);
+                String value = response.get(entry);
 
                 // look for the comma separator
                 int lastindex = entry.lastIndexOf(",");
@@ -179,17 +175,16 @@ public class ConnectorEditor extends JDialog implements ActionListener, MouseLis
 
         try {
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(Constants.PR_NICK_NAME, nickname);
-            nvps.add(Constants.PR_SERIAL_NUMBER, serialno);
-            nvps.add(Constants.PR_ISSUER_NAME, issuername);
+            nvps.put(Constants.PR_NICK_NAME, nickname);
+            nvps.put(Constants.PR_SERIAL_NUMBER, serialno);
+            nvps.put(Constants.PR_ISSUER_NAME, issuername);
             NameValuePairs results = mAdmin.process(
               DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_CERT_PRETTY_PRINT,
               Constants.RS_ID_CONFIG, nvps);
             if (nvps.size() <= 0)
                 return;
-            NameValuePair nvp = results.elementAt(0);
-            String name = nvp.getName();
-            String print = nvp.getValue();
+            String name = results.keySet().iterator().next(); // first element
+            String print = results.get(name);
             CertViewDialog certdialog = new CertViewDialog(mParentFrame);
             certdialog.showDialog(nickname, print);
         } catch (EAdminException ex) {
@@ -225,10 +220,8 @@ public class ConnectorEditor extends JDialog implements ActionListener, MouseLis
 
     public void showDialog(NameValuePairs values) {
 
-        for (int i=0; i<values.size(); i++) {
-            NameValuePair nvp = values.elementAt(i);
-            String name = nvp.getName();
-            String val = nvp.getValue();
+        for (String name : values.keySet()) {
+            String val = values.get(name);
             if (name.equals(Constants.PR_HOST)) {
                 mHostText.setText(val);
             } else if (name.equals(Constants.PR_PORT)) {
@@ -568,8 +561,8 @@ public class ConnectorEditor extends JDialog implements ActionListener, MouseLis
             NameValuePairs nvps = new NameValuePairs();
             
             if (mEnable) {
-                nvps.add(Constants.PR_LOCAL, Constants.FALSE);
-                nvps.add(Constants.PR_HOST, mHostText.getText());
+                nvps.put(Constants.PR_LOCAL, Constants.FALSE);
+                nvps.put(Constants.PR_HOST, mHostText.getText());
                 String portStr = mPortText.getText().trim();
                 try {
                     int port = Integer.parseInt(portStr);
@@ -583,7 +576,7 @@ public class ConnectorEditor extends JDialog implements ActionListener, MouseLis
                       "NONINTEGER", CMSAdminUtil.ERROR_MESSAGE);
                     return;
                 }
-                nvps.add(Constants.PR_PORT, portStr);
+                nvps.put(Constants.PR_PORT, portStr);
 
                 String timeoutStr = mTimeoutText.getText().trim();
                 try {
@@ -598,19 +591,19 @@ public class ConnectorEditor extends JDialog implements ActionListener, MouseLis
                       "TIMEOUTNONINTEGER", CMSAdminUtil.ERROR_MESSAGE);
                     return;
                 }
-                nvps.add(Constants.PR_TIMEOUT, timeoutStr);
+                nvps.put(Constants.PR_TIMEOUT, timeoutStr);
                    
                 if (mName.equals("Data Recovery Manager Connector")) {
-                    nvps.add(Constants.PR_URI, "/kra/agent/kra/connector");
+                    nvps.put(Constants.PR_URI, "/kra/agent/kra/connector");
                 } else if (mName.equals("Registration Manager Connector")) {
-                    nvps.add(Constants.PR_URI, "/ra/connector");
+                    nvps.put(Constants.PR_URI, "/ra/connector");
                 } else if (mName.equals("Certificate Manager Connector")) {
-                    nvps.add(Constants.PR_URI, "/ca/connector");
+                    nvps.put(Constants.PR_URI, "/ca/connector");
                 }
-                nvps.add(Constants.PR_NICK_NAME, mNicknameText.getText().trim());
-                nvps.add(Constants.PR_ENABLED, Constants.TRUE);
+                nvps.put(Constants.PR_NICK_NAME, mNicknameText.getText().trim());
+                nvps.put(Constants.PR_ENABLED, Constants.TRUE);
             } else {
-                nvps.add(Constants.PR_ENABLED, Constants.FALSE);
+                nvps.put(Constants.PR_ENABLED, Constants.FALSE);
             }
 
             try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/GeneralLogPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/GeneralLogPanel.java
index 8765f08ebe876b7d153484445c14675cd11c2a59..66e9b439771b0f986d333b928f30ed12719819f0 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/GeneralLogPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/GeneralLogPanel.java
@@ -17,9 +17,7 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.admin.certsrv.config;
 
-import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.ug.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
@@ -119,8 +117,8 @@ public class GeneralLogPanel extends CMSBaseTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_DEBUG_LOG_ENABLE, "true");
-        nvps.add(Constants.PR_DEBUG_LOG_LEVEL, "0");
+        nvps.put(Constants.PR_DEBUG_LOG_ENABLE, "true");
+        nvps.put(Constants.PR_DEBUG_LOG_LEVEL, "0");
         /*nvps.add(Constants.PR_DEBUG_LOG_SHOWCALLER, ""); */
 
         try {
@@ -150,21 +148,19 @@ public class GeneralLogPanel extends CMSBaseTab {
     }
 
     protected void populate(NameValuePairs nvps) {
-        String version = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_DEBUG_LOG_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnable.setSelected(true);
                 else
                     mEnable.setSelected(false);
             } else if (name.equals(Constants.PR_DEBUG_LOG_LEVEL)) {
-                mLevelText.setText(nvp.getValue());
+                mLevelText.setText(value);
             } 
 
             /* else if (name.equals(Constants.PR_DEBUG_LOG_SHOWCALLER)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mShowCaller.setSelected(true);
                 else
                     mShowCaller.setSelected(false);
@@ -213,7 +209,7 @@ public class GeneralLogPanel extends CMSBaseTab {
         }
 
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_DEBUG_LOG_LEVEL, level);
+        nvps.put(Constants.PR_DEBUG_LOG_LEVEL, level);
 
         /*
         if (mShowCaller.isSelected())
@@ -223,9 +219,9 @@ public class GeneralLogPanel extends CMSBaseTab {
         */
 
         if (mEnable.isSelected())
-            nvps.add(Constants.PR_DEBUG_LOG_ENABLE, Constants.TRUE);
+            nvps.put(Constants.PR_DEBUG_LOG_ENABLE, Constants.TRUE);
         else
-            nvps.add(Constants.PR_DEBUG_LOG_ENABLE, Constants.FALSE);
+            nvps.put(Constants.PR_DEBUG_LOG_ENABLE, Constants.FALSE);
 
         mModel.progressStart();
         try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplDataModel.java
index 76f7a73ecbe376ee0d52b21a7a11028ce06d27fd..d3a605433721c404cbe92a85fa07f7278b2cbb3c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -58,10 +57,10 @@ public class JobsImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        v.addElement(new JLabel(obj.getValue(IMPL_NAME),
+        v.addElement(new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_PLUGIN),
             JLabel.LEFT));
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplTab.java
index 58628b1332236f20987da25efc17a6620d69facf..57848c6496ccca119bd26bf5eef4089f177b5416 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsImplTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -110,9 +109,9 @@ public class JobsImplTab extends CMSBaseUGTab {
                     mDataModel.getObjectValueAt(mTable.getSelectedRow());    
             if (mViewer==null)
                 mViewer = new ViewDialog(mModel.getFrame());
-            mViewer.showDialog(obj.getValue(IMPL_NAME),
-                               obj.getValue(IMPL_CLASS),
-                               obj.getValue(IMPL_DESC));
+            mViewer.showDialog(obj.get(IMPL_NAME),
+                               obj.get(IMPL_CLASS),
+                               obj.get(IMPL_DESC));
         }        
         if (e.getSource().equals(mHelp)) {
             helpCallback();
@@ -264,23 +263,23 @@ public class JobsImplTab extends CMSBaseUGTab {
         //parse the data
         int i=0;
         String[] vals = new String[response.size()];
-        Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        Hashtable<String, NameValuePairs> data = new Hashtable<String, NameValuePairs>();
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
 			Debug.println("entry= "+entry);
-			Debug.println("value= "+value);
+			Debug.println("value= " + value);
             int x = value.indexOf(",");
-			Debug.println("x = "+x);
+			Debug.println("x = " + x);
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry);
+            obj.put(IMPL_NAME, entry);
             vals[i++]= entry ;
 			if (x != -1) {
-            	obj.add(IMPL_CLASS, value.substring(0,x));
-            	obj.add(IMPL_DESC, value.substring(x+1));
+		obj.put(IMPL_CLASS, value.substring(0, x));
+		obj.put(IMPL_DESC, value.substring(x + 1));
 			}
 			else {
-				obj.add(IMPL_CLASS, value);
+				obj.put(IMPL_CLASS, value);
 			}
             data.put(entry,obj);
         }
@@ -309,7 +308,7 @@ public class JobsImplTab extends CMSBaseUGTab {
         try {
             mConnection.delete(mDestination,
                                ScopeDef.SC_JOBS_IMPLS,
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsRuleDataModel.java
index e12114eb1daadd7c9e45ef67f8bba55df1c2c72c..76fbd9a381bba25989b10fb32e8dd615f30da6e8 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -53,19 +52,19 @@ public class JobsRuleDataModel extends CMSRuleDataModel
         NameValuePairs obj = (NameValuePairs) data;
 
         //XXX NEED TO ADD STUFF
-        if (obj.getValue(RULE_STAT).equalsIgnoreCase("enabled")) {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        if (obj.get(RULE_STAT).equalsIgnoreCase("enabled")) {
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("JOBSRULE_LABEL_ENABLED_LABEL"));       
         } else {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_DISABLE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("JOBSRULE_LABEL_DISABLED_LABEL"));
         }
         addRow(v, data);
-        mRules.addElement(obj.getValue(RULE_NAME));
+        mRules.addElement(obj.get(RULE_NAME));
     }
 
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsSettingPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsSettingPanel.java
index b33613014e42be3592b4d32eafadf86e9ecff54c..b6a93d191d4af8274d129128308ef165b6466e51 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/JobsSettingPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/JobsSettingPanel.java
@@ -19,12 +19,10 @@ package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.connection.*;
-import com.netscape.admin.certsrv.config.*;
+
 import javax.swing.*;
 import java.awt.*;
-import java.util.*;
 import java.awt.event.*;
 
 /**
@@ -110,8 +108,8 @@ public class JobsSettingPanel extends CMSBaseTab implements ItemListener {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-		nvps.add(Constants.PR_ENABLE,"");
-        nvps.add(Constants.PR_JOBS_FREQUENCY, "");
+		nvps.put(Constants.PR_ENABLE, "");
+        nvps.put(Constants.PR_JOBS_FREQUENCY, "");
 
         try {
             NameValuePairs val = mAdmin.read(mServletName,
@@ -131,13 +129,12 @@ public class JobsSettingPanel extends CMSBaseTab implements ItemListener {
         String clientCert = "";
 
         String version = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_JOBS_FREQUENCY)) {
-                mFrequencyText.setText(nvp.getValue());
+                mFrequencyText.setText(value);
             } else if (name.equals(Constants.PR_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnable.setSelected(true);
                 else
                     mEnable.setSelected(false);
@@ -208,12 +205,12 @@ public class JobsSettingPanel extends CMSBaseTab implements ItemListener {
 
         NameValuePairs nvps = new NameValuePairs();
 		if (mEnable.isSelected())
-			nvps.add(Constants.PR_ENABLE,Constants.TRUE);
+			nvps.put(Constants.PR_ENABLE, Constants.TRUE);
 		else
-			nvps.add(Constants.PR_ENABLE,Constants.FALSE);
+			nvps.put(Constants.PR_ENABLE, Constants.FALSE);
 
         if (mEnable.isSelected()){
-            nvps.add(Constants.PR_JOBS_FREQUENCY, freq);
+            nvps.put(Constants.PR_JOBS_FREQUENCY, freq);
 		}
 
         mModel.progressStart();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/KeyCreateDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/KeyCreateDialog.java
index 9e6d1cf9bab7fdbc2375782100605bc66591478e..5821127d40dc53be89bb7e8f4b37af5a6b7fde46 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/KeyCreateDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/KeyCreateDialog.java
@@ -25,9 +25,8 @@ import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
-import javax.swing.table.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -285,8 +284,8 @@ public class KeyCreateDialog extends JDialog
 
             //construct NVP
             NameValuePairs config = new NameValuePairs();
-            config.add(Constants.PR_KEY_LIST, mNameField.getText());
-            config.add(Constants.PR_TOKEN_LIST, selectedToken);
+            config.put(Constants.PR_KEY_LIST, mNameField.getText());
+            config.put(Constants.PR_TOKEN_LIST, selectedToken);
 
 
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplDataModel.java
index df246f2c5403ce030ef1a7adf7fdaa6e94907c70..a5af0b1dc2cbab37e8b635a72be49ea40aaf05d3 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -58,10 +57,10 @@ public class LogImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        v.addElement(new JLabel(obj.getValue(IMPL_NAME),
+        v.addElement(new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_PLUGIN),
             JLabel.LEFT));
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplTab.java
index 984e2cb21316aaf1b05cf5acc1d9c6f192e71e3a..1b654fead79548ae9630a1b869284dee0b098433 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/LogImplTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -110,9 +109,9 @@ public class LogImplTab extends CMSBaseUGTab {
                     mDataModel.getObjectValueAt(mTable.getSelectedRow());    
             if (mViewer==null)
                 mViewer = new ViewDialog(mModel.getFrame());
-            mViewer.showDialog(obj.getValue(IMPL_NAME),
-                               obj.getValue(IMPL_CLASS),
-                               obj.getValue(IMPL_DESC));
+            mViewer.showDialog(obj.get(IMPL_NAME),
+                               obj.get(IMPL_CLASS),
+                               obj.get(IMPL_DESC));
         }        
         if (e.getSource().equals(mHelp)) {
             helpCallback();
@@ -264,16 +263,16 @@ public class LogImplTab extends CMSBaseUGTab {
         //parse the data
         int i=0;
         String[] vals = new String[response.size()];
-        Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        Hashtable<String, NameValuePairs> data = new Hashtable<String, NameValuePairs>();
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
             int x = value.indexOf(",");
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry);
+            obj.put(IMPL_NAME, entry);
             vals[i++]= entry ;
-            obj.add(IMPL_CLASS, value.substring(0,x));
-            obj.add(IMPL_DESC, value.substring(x+1));
+            obj.put(IMPL_CLASS, value.substring(0, x));
+            obj.put(IMPL_DESC, value.substring(x + 1));
             data.put(entry,obj);
         }
         
@@ -301,7 +300,7 @@ public class LogImplTab extends CMSBaseUGTab {
         try {
             mConnection.delete(mDestination,
                                ScopeDef.SC_LOG_IMPLS,
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/LogRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/LogRuleDataModel.java
index 57b7b0471bc10d30c316261b8f459c6c44b19ebd..1a64226f0d2793fd6cc12176e9371d1efae10f44 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/LogRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/LogRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -52,10 +51,10 @@ public class LogRuleDataModel extends CMSRuleDataModel
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
 
-        v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        v.addElement(new JLabel(obj.get(RULE_NAME),
                   CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                   JLabel.LEFT));
-        v.addElement(obj.getValue(RULE_IMPL));
+        v.addElement(obj.get(RULE_IMPL));
         addRow(v, data);
     }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/MNSchemeWizardInfo.java b/pki/base/console/src/com/netscape/admin/certsrv/config/MNSchemeWizardInfo.java
index fd2fe08436fc38b0eecdfd9e2a4d079ec0e26852..8d90914b38751c449df83009800b045b2c437431 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/MNSchemeWizardInfo.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/MNSchemeWizardInfo.java
@@ -17,12 +17,9 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.admin.certsrv.config;
 
-import java.awt.*;
-import javax.swing.*;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.wizard.*;
-import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -95,16 +92,16 @@ public class MNSchemeWizardInfo extends WizardInfo {
     public void changeScheme() throws EAdminException {
 
         NameValuePairs param = new NameValuePairs();
-        param.add(Constants.PR_RECOVERY_M, (String)get(Constants.PR_RECOVERY_M));
-        param.add(Constants.PR_RECOVERY_N, (String)get(Constants.PR_RECOVERY_N));
-        param.add(Constants.PR_RECOVERY_AGENT, (String)get(Constants.PR_RECOVERY_AGENT));
-        param.add(Constants.PR_OLD_RECOVERY_AGENT, (String)get(Constants.PR_OLD_RECOVERY_AGENT));
+        param.put(Constants.PR_RECOVERY_M, (String) get(Constants.PR_RECOVERY_M));
+        param.put(Constants.PR_RECOVERY_N, (String) get(Constants.PR_RECOVERY_N));
+        param.put(Constants.PR_RECOVERY_AGENT, (String) get(Constants.PR_RECOVERY_AGENT));
+        param.put(Constants.PR_OLD_RECOVERY_AGENT, (String) get(Constants.PR_OLD_RECOVERY_AGENT));
 
         mConnection.modify(DestDef.DEST_KRA_ADMIN,
                                ScopeDef.SC_MNSCHEME,
                                Constants.RS_ID_CONFIG,
                                param);
 
-        //param.removeAllPairs();
+        //param.clear();
     }
 }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplDataModel.java
index 50728b13dffcc4fb3727d1bad2e38bddc1ad460c..23d6ee0b425221aeb4d6e1effa57e0e4132364b4 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -58,10 +57,10 @@ public class MapperImplDataModel extends CMSContentTableModel
     public void processData(Object data) {
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
-        v.addElement(new JLabel(obj.getValue(IMPL_NAME),
+        v.addElement(new JLabel(obj.get(IMPL_NAME),
             CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_PLUGIN),
             JLabel.LEFT));
-        v.addElement(obj.getValue(IMPL_CLASS));
+        v.addElement(obj.get(IMPL_CLASS));
         //v.addElement(obj.getValue(IMPL_DESC));
         addRow(v, data);
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplTab.java
index 66d4ba4ce84d814697c8584e79d0ac6e6e5851b3..2ad54da60552f4029f669e98b9b286da7f4c1a72 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/MapperImplTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -115,9 +114,9 @@ public class MapperImplTab extends CMSBaseUGTab {
                     mDataModel.getObjectValueAt(mTable.getSelectedRow());    
             if (mViewer==null)
                 mViewer = new ViewDialog(mModel.getFrame());
-            mViewer.showDialog(obj.getValue(IMPL_NAME),
-                               obj.getValue(IMPL_CLASS),
-                               obj.getValue(IMPL_DESC));
+            mViewer.showDialog(obj.get(IMPL_NAME),
+                               obj.get(IMPL_CLASS),
+                               obj.get(IMPL_DESC));
         }        
         if (e.getSource().equals(mHelp)) {
             helpCallback();
@@ -269,16 +268,16 @@ public class MapperImplTab extends CMSBaseUGTab {
         //parse the data
         int i=0;
         String[] vals = new String[response.size()];
-        Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        Hashtable<String, NameValuePairs> data = new Hashtable<String, NameValuePairs>();
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
             int x = value.indexOf(",");
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry);
+            obj.put(IMPL_NAME, entry);
             vals[i++]= entry ;
-            obj.add(IMPL_CLASS, value.substring(0,x));
-            obj.add(IMPL_DESC, value.substring(x+1));
+            obj.put(IMPL_CLASS, value.substring(0, x));
+            obj.put(IMPL_DESC, value.substring(x + 1));
             data.put(entry,obj);
         }
         
@@ -306,7 +305,7 @@ public class MapperImplTab extends CMSBaseUGTab {
         try {
             mConnection.delete(mDestination,
                                ScopeDef.SC_MAPPER_IMPLS,
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
